Update an AA sequence
Update an AA sequence
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
aa_sequence_id
Request
This endpoint expects an object.
aliases
Aliases to add to the AA sequence
aminoAcids
Amino acids for the AA sequence.
annotations
Annotations to create on the AA sequence.
customFields
Custom fields to add to the AA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryId
fields
Fields to set on the AA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder containing the AA sequence.
name
Name of the AA sequence.
schemaId
ID of the AA sequence's schema.
Response
OK
aliases
Array of aliases
aminoAcids
Amino acids of the AA sequence.
annotations
Array of annotation objects on the AA sequence.
apiURL
The canonical url of the AA Sequence in the API.
archiveRecord
createdAt
DateTime the AA sequence was created.
creator
customFields
Custom fields set on the AA sequence.
entityRegistryId
Registry ID of the AA sequence if registered.
fields
folderId
ID of the folder that contains the AA sequence.
id
ID of the AA sequence.
length
Number of amino acids in the AA sequence.
modifiedAt
DateTime the AA sequence was last modified.
name
Name of the AA sequence.
registrationOrigin
registryId
Registry the AA sequence is registered in.
schema
url
The path of the web URL, omitting the tenant domain
webURL
URL of the AA sequence.
Errors
400
Bad Request Error